import {
  request
} from "./index.js";

// 数据字典查询
export const reqDictionary = (postData) =>
  request({
    url: "/common/common/getDictionary",
    data: postData,
    method: 'POST'
  });

// 用户登录接口
export const reqLogin = (postData) =>
  request({
    url: "/auth/login",
    data: postData,
    method: 'POST'
  });

// 首页查看急标和普标数量
export const reqSpecimenWorkOrderMsg = (postData) =>
  request({
    url: "/nurse/getSpecimenWorkOrderMsg",
    data: postData,
    method: 'POST'
  });

// 首页快捷工单（其他临床服务任务类型）
export const reqDeptTaskType = (postData) =>
  request({
    url: "/nurse/getDeptTaskType",
    data: postData,
    method: 'POST'
  });

// 获取动态二维码
export const reqDeptCodes = (postData) =>
  request({
    url: "/dept/deptCodes/0",
    data: postData,
    method: 'POST'
  });

// fetchDataList查询（通用）
export const reqFetchDataList = (type, target, postData) =>
  request({
    url: `/${type}/fetchDataList/${target}`,
    data: postData,
    method: 'POST'
  });

// 获取一键建单所需的信息
export const reqBuildTrip = (postData) =>
  request({
    url: '/nurse/workOrder/buildTrip',
    data: postData,
    method: 'POST'
  });

// 获取一键建单所需的历史输入信息
export const reqRecentRemarks = (postData) =>
  request({
    url: '/nurse/workOrder/recentRemarks',
    data: postData,
    method: 'POST'
  });

// 建单
export const reqBuildOrder = (postData) =>
  request({
    url: '/api/startOrder',
    data: postData,
    method: 'POST'
  });

// 切换院区
export const reqChangeHospital = (postData) =>
  request({
    url: '/auth/changeHospital',
    data: postData,
    method: 'POST'
  });

// 更新操作
export const reqUpdData = (type, target, postData) =>
  request({
    url: `/${type}/updData/${target}`,
    data: postData,
    method: 'POST'
  });

// 获取当前用户登录信息
export const reqGetCurrentUser = () =>
  request({
    url: '/user/data/getCurrentUser',
  });

// 撤回
export const reqDelWorkOrder = (orderId) =>
  request({
    url: `/workerOrder/delWorkOrder/${orderId}`,
  });

// 加急
export const reqUrge = (postData) =>
  request({
    url: `/workerOrder/urge`,
    data: postData,
    method: 'POST'
  });

// 立即执行
export const reqDirectStartOrder = (id) =>
  request({
    url: `/api/directStartOrder/${id}`,
  });

// 评价
export const reqEvaluate = (id, postData) =>
  request({
    url: `/nurse/workOrder/evaluate/${id}`,
    data: postData,
    method: 'POST'
  });

// fetchData查询（通用）
export const reqFetchData = (type, target, id) =>
  request({
    url: `/${type}/fetchData/${target}/${id}`,
  });

// 获取流程信息
export const reqFetchWorkOrderLog = (id) =>
  request({
    url: `/ser/fetchWorkOrderLog/${id}`,
  });

// 患者详情，患者标本，患者检查
export const reqGetPatientInspectInfo = (postData) =>
  request({
    url: `/nurse/workOrder/getPatientInspectInfoByTime`,
    data: postData,
    method: 'POST'
  });

// 患者一键建单请求任务类型
export const reqDeptTSPTaskType = (postData) =>
  request({
    url: `/configuration/deptTSPTaskType`,
    data: postData,
    method: 'POST'
  });

// 患者建单接口
export const reqBuild = (type, postData) =>
  request({
    url: `/api/${type}`,
    data: postData,
    method: 'POST'
  });

// 首页查询急标或普标列表
export const reqGetSpecimenWorkOrderDetails = (postData) =>
  request({
    url: `/nurse/getSpecimenWorkOrderDetails`,
    data: postData,
    method: 'POST'
  });

// 退出登录
export const reqLogout2 = () =>
  request({
    url: `/auth/logout2`,
    method: 'DELETE'
  });

// 修改密码
export const reqUppwd = (postData) =>
  request({
    url: `/auth/uppwd`,
    data: postData,
    method: 'POST'
  });

// 首页搜索
export const reqSmartScan = (postData) =>
  request({
    url: `/workerOrder/smartScan`,
    data: postData,
    method: 'POST'
  });
